Subject: RE: [Ips] Re-sending a command

From: "Sandars, Ken" <[email-masked]>
Date: Wed, 9 Aug 2006 16:42:22 -0700

Hi Eddy,
 
There's some reading between the lines needed, but if this is scenario
you are describing:
 
I->T: CmdSN=25 ITT=1 SCSI1
<time out period>
I->T: CmdSN=26 (immediate) ITT=2 TMF - LU Reset
T->I: ITT=2 ExpCmdSN=26 TMF Response - Function Complete
I->T: CmdSN=25 ITT=1 SCSI1
 
In this case, the target actions for the TMF - LU Reset will ensure that
no responses will be sent for the affected commands (including CmdSN=25)
after the TMF response is sent.
 
The initiator is in effect (re)sending a command outside the CmdSN
window, and a working target will discard it.
 
HTH
Ken

________________________________

	From: Eddy Quicksall
[mailto:[email-masked]] 
	Sent: Thursday, 10 August 2006 08:34
	To: [email-masked]
	Cc: Amit Kumar
	Subject: [Ips] Re-sending a command

	It was brought to my attention that one initiator being tested
will re-issue a "timed out" command using the same CmdSN after it has
issued a LU Reset. When this happens the command is dropped. Note that
this is on a single connection session.
	 
	I'm wondering if this could be an initiator bug or if there is a
case where it is actually valid (in the report I have I don't know if
the initiator also reissued the command with a valid CmdSN or not).
	 
	Does anyone know?
	 
	Eddy

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips